Subject: RE: [PATCH] Fix newly exposed bug [was RE: RFC: Fix partial NaN-parsing problem [was RE: sscanf problem]]
From: "Dave Korn" <[email-masked]>
To: "'Jeff Johnston'" <[email-masked]>
Cc: "'Jean-Christophe Kablitz'" <[email-masked]>, <[email-masked]>, <[email-masked]>
Date: Thu, 28 Apr 2005 19:41:04 +0100

----Original Message----
>From: Jeff Johnston
>Sent: 28 April 2005 19:33

> Hi Dave,
> 
>    Thanks for looking into this.  Your patch wasn't quite correct.  It
> ended up breaking nan-support which isn't tested in the accompanying
> testcase.  It needed to verify that x & multiple_flags_ored_together ==
>   multiple_flags_ored_together. Anyway, I have checked a patch in and
> verified that it works for your tests below plus it also works for a
> simple test like 
> i = sscanf ("nank", "%lf%c%n", &x, &m, &n)
> 
> -- Jeff J.

  Heh, actually we probably have to talk about that.  The k should IIUIC be
swallowed by the %lf and the %c should fail; this is the production
described as NAN(n-char-sequence opt) in the C language spec, strtod
documentation (that's 7.20.1.3.3 in WG14/N843 draft, I don't have the final
version).  And we haven't even mentioned the lack of INF support yet :)

  However I'm on UK time, so it won't be happening today!

    cheers,
      DaveK
-- 
Can't think of a witty .sigline today....

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/